/*
 * Math.java
 *
 * Created on 17. prosinec 2000, 15:12
 * Documented 18. 7. 2001
 */

package timetable.util;

/** Některé matematické operace
 *
 * @author Tomáš Müller
 * @version 1.0
 */
public class Math extends Object {

    /** Konstruktor. */
    public Math() {
    }
    
    /** Náhodné číslo mezi 0 a limitem.
     * @return náhodné číslo x, 0 <= x < limit
     */
    public static int random(int limit) {
        return (int)(java.lang.Math.random()*limit);
    }

    /** Maximum ze dvou hodnot
     * @param a hodnota A
     * @param b hodnota B
     * @return maximum z A a B
    */
    public static int max2(int a, int b) {
        return a>b?a:b;
    }
    
    /** Minimum ze dvou hodnot
     * @param a hodnota A
     * @param b hodnota B
     * @return minimum z A a B
    */
    public static int min2(int a, int b) {
        return a<b?a:b;
    }

}
